FUNCTION::SYSTEM(3stap)

NAME
function::system - Issue a command to the system

SYNOPSIS

    system(cmd:string)

ARGUMENTS

cmd
    the command to issue to the system

DESCRIPTION

This function runs a command on the system. The command is started in the background some time after the current probe completes. The command is run with the same UID as the user running the stap or staprun command. The runtime may impose a relatively short length limit on the command string. Exceeding it may print a warning.

SEE ALSO
tapset::system(3stap)